const { app, BrowserWindow, ipcMain, net } = require('electron');
const path = require('path');
const { marked } = require('marked');
const { get } = require('./request')

function createWindow() {
    const mainWindow = new BrowserWindow({
        // width: 800,
        // height: 600,
        show: false,
        webPreferences: {
            preload: path.join(__dirname, 'preload.js'),
            nodeIntegration: true,
        }
    });


    ipcMain.handle('ping', () => 'pong');
    ipcMain.handle('renderMarkdownToHtml', (event, markdown) => {
        return marked.parse(markdown);
    });
    ipcMain.handle('acars', async() => {
        const url = 'http://lsaapi.gairacalabs.com:3100/api/acars';
        // const url = 'http://lsaapi.gairacalabs.com:3100/graphql';
        const response = await get(url);
        return response;
    });

    mainWindow.loadFile(path.join(__dirname, 'index.html'));

    // Open the DevTools.
    mainWindow.webContents.openDevTools()
    mainWindow.show();
}
app.whenReady().then(() => {
    createWindow();

    app.on('activate', () => {
        if (BrowserWindow.getAllWindows().length === 0) createWindow();
    })
});

app.on('window-all-closed', function() {
    if (process.platform !== 'darwin') app.quit()
});